package com.prolog.cs.biz.outbound.service;

import java.util.List;

/**
 * @program: upcloud-base-wh-outbound
 * @description: 回传ERP服务
 * @author: Huanglh
 * @create: 2022-01-14 14:09
 **/
public interface PostBackErpService {
    /**
     * 使用消息队列方式回传ERP
     *
     * @param omsBillIds
     * @param errorMsg
     */
    void postBackErpByMq(List<String> omsBillIds, String errorMsg);

    /**
     * 使用消息队列方式回传ERP
     *
     * @param omsBillId
     * @param errorMsg
     */
    void postBackErpByMq(String omsBillId, String errorMsg);

    /**
     * 使用中间表方式回传ERP
     *
     * @param omsBillIds
     */
    void postBackErpByTable(List<String> omsBillIds);


    void postBackOmsPackingData(List<String> billGroupIds);

    void autoPostBackOmsPackingData();
}
